Subject: Re: bug#54161: 27.2; `define-minor-mode' with alist of key bindings

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 28 Feb 2022 10:46:40 +0100

Gilles <[email-masked]> writes:

> I would in fact expect titi to result in an error, since a list whose
> car is the symbol kbd is not a valid key. But this seems to work, as I
> would expect it to:
>
> (define-minor-mode tutu-mode
>   "TUTU MODE" nil nil `((,(kbd "C-o") . forward-char)))
>
> As for tata, it binds the four-character sequence {backslash, capital
> C, dash, lowercase o}. To bind C-o, you need to pass the one-character
> string "\C-o".

So I don't think there's anything to fix here, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no